//----------------------------------------------------//
// Wide Studio Application C++ Source File            //
//            created by Wide Studio source generator //
//----------------------------------------------------//
#include <WScom.h>
#include <WSDappDev.h>

//--- OBJECT includes ---//
#include <WSCdialog.h>
#include <WSCtextField.h>

//--- OBJECT instance variable ---//
WSCdialog* tracewin;
WSCtextField* newtext_000;

//--- OBJECT src ---//

void _create_win_tracewin(){


	tracewin = new  WSCdialog(NULL,"tracewin");
	tracewin->initialize();
	tracewin->setProperty(WSNno,False);
	tracewin->setPropertyV(WSNokString,"start");
	tracewin->setPropertyV(WSNnoString,"stop");
	tracewin->setPropertyV(WSNname,"tracewin");
	tracewin->setPropertyV(WSNtitleString,"TRACE...");
	tracewin->setPropertyV(WSNx,(short)100);
	tracewin->setPropertyV(WSNy,(short)100);
	tracewin->setPropertyV(WSNwidth,(unsigned short)600);
	tracewin->setPropertyV(WSNheight,(unsigned short)300);
	WSCprocedure* op_tracewin_5 = new WSCprocedure("new_ep",0);
	extern void tinitop(WSCbase*);
	op_tracewin_5->setFunction(tinitop,"tinitop");
	tracewin->addProcedure(op_tracewin_5);
	WSCprocedure* op_tracewin_6 = new WSCprocedure("new_ep",2);
	extern void tstopop(WSCbase*);
	op_tracewin_6->setFunction(tstopop,"tstopop");
	tracewin->addProcedure(op_tracewin_6);

	newtext_000 = new  WSCtextField(tracewin,"newtext_000");
	newtext_000->initialize();
	newtext_000->setPropertyV(WSNname,"newtext_000");
	newtext_000->setPropertyV(WSNx,(short)10);
	newtext_000->setPropertyV(WSNy,(short)10);
	newtext_000->setPropertyV(WSNwidth,(unsigned short)580);
	newtext_000->setPropertyV(WSNheight,(unsigned short)240);
	newtext_000->setPropertyV(WSNvis,(WSCbool)1);
	newtext_000->setPropertyV(WSNanchorTop,(unsigned short)10);
	newtext_000->setPropertyV(WSNanchorBottom,(unsigned short)50);
	newtext_000->setPropertyV(WSNanchorLeft,(unsigned short)10);
	newtext_000->setPropertyV(WSNanchorRight,(unsigned short)10);
	newtext_000->setPropertyV(WSNanchorTopFlag,(WSCbool)1);
	newtext_000->setPropertyV(WSNanchorBottomFlag,(WSCbool)1);
	newtext_000->setPropertyV(WSNanchorLeftFlag,(WSCbool)1);
	newtext_000->setPropertyV(WSNanchorRightFlag,(WSCbool)1);
	newtext_000->setPropertyV(WSNnoHatch,(WSCbool)1);
	newtext_000->setPropertyV(WSNdisplayOnly,(WSCbool)1);

}

//--- end of src ---//
